#### Previous topic

scipy.signal.iirfilter

#### Next topic

scipy.signal.kaiser_beta

# scipy.signal.kaiser_atten

`scipy.signal.``kaiser_atten`(numtaps, width)

  Compute the attenuation of a Kaiser FIR filter.

  Given the number of taps N and the transition width width, compute the attenuation a in dB, given by Kaiser’s formula:

  > a = 2.285 * (N - 1) * pi * width + 7.95

  Parameters:

  numtaps : int

  > The number of taps in the FIR filter.

  width : float

  > The desired width of the transition region between passband and stopband (or, in general, at any discontinuity) for the filter.

  Returns:

  a : float

  > The attenuation of the ripple, in dB.

  See also

  `kaiserord`, `kaiser_beta`